Skip to main content
GET
/
3
/
collection
/
{collection_id}
/
images
Images
curl --request GET \
  --url 'https://api.themoviedb.org/3/collection/{{collection_id}}/images'
{
  "backdrops": [
    {
      "aspect_ratio": 1.779,
      "file_path": "/mxKADQjfnhcb8mCBCii9aKMQVVW.jpg",
      "height": 1686,
      "iso_639_1": null,
      "vote_average": 0,
      "vote_count": 0,
      "width": 3000
    }
  ],
  "id": 591122,
  "posters": [
    {
      "aspect_ratio": 0.667,
      "file_path": "/qqrBeINPOFr2FLD4EeBLI90PzHo.jpg",
      "height": 1500,
      "iso_639_1": "en",
      "vote_average": 3.334,
      "vote_count": 1,
      "width": 1000
    },
    {
      "aspect_ratio": 0.667,
      "file_path": "/dK0yZ0zDY5UW9OqZkDJTkr7vWXz.jpg",
      "height": 1500,
      "iso_639_1": "en",
      "vote_average": 0,
      "vote_count": 0,
      "width": 1000
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://chisa.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

collection_id
string
required

Query Parameters

language
string

Specify the language for the images.

include_image_language
string

Include additional languages for images.

Response

200 - application/json

Images

backdrops
object[]
Example:
[
  {
    "aspect_ratio": 1.779,
    "file_path": "/mxKADQjfnhcb8mCBCii9aKMQVVW.jpg",
    "height": 1686,
    "iso_639_1": null,
    "vote_average": 0,
    "vote_count": 0,
    "width": 3000
  }
]
id
number
Example:

591122

posters
object[]
Example:
[
  {
    "aspect_ratio": 0.667,
    "file_path": "/qqrBeINPOFr2FLD4EeBLI90PzHo.jpg",
    "height": 1500,
    "iso_639_1": "en",
    "vote_average": 3.334,
    "vote_count": 1,
    "width": 1000
  },
  {
    "aspect_ratio": 0.667,
    "file_path": "/dK0yZ0zDY5UW9OqZkDJTkr7vWXz.jpg",
    "height": 1500,
    "iso_639_1": "en",
    "vote_average": 0,
    "vote_count": 0,
    "width": 1000
  }
]